# Base

```@meta
CurrentModule = EffectiveWaves
```

```@contents
Pages = ["base.md"]
```

## Material and particle properties

```@docs
Medium
Specie
volume_fraction
p_speed
t_vectors
Zn
maximum_hankel_order
```

## Types of waves

There are currently three main types used.

```@docs
EffectiveWave
effective_waves
AverageWave
average_error
x_mesh
MatchWave
match_error
x_mesh_match
```

## Effective wavenumbers

```@docs
wavenumbers
wavenumber_low_volfrac
effective_medium
```

## Reflection coefficients

```@docs
reflection_coefficient
reflection_coefficient_low_volfrac
reflection_coefficient_halfspace
transmission_angle
```
